Name:			g15daemon
Version:		1.9.5.3
Release:		1%{?dist}
Summary:		A daemon that allows use of the G15 keyboard's keys and LCD
License:		GPLv2
URL:			http://www.g15tools.com/node/180
Source0:		http://downloads.sourceforge.net/project/g15daemon/G15Daemon%201.9x/%{version}/%{name}-%{version}.tar.bz2
Group:			Applications/System

#Uses a patch derived from the g15daemon-wip folder in trunk:
#https://g15daemon.svn.sourceforge.net/svnroot/g15daemon/trunk/g15daemon-wip/g15daemon/utility_funcs.c
Patch0:			g15daemon-config_fd-fix.patch

#COPYING needs patched to reflect the updated address of the FSF and GPLv2 license
Patch1:			g15daemon-copying.patch

#Remove beginning ellipses on line 58 to correct display error
Patch2:			g15daemon_client_devel-man-page-fix.patch

#Backported fix for uinput support from Rev 527:
#https://g15daemon.svn.sourceforge.net/svnroot/g15daemon/trunk/g15daemon-wip/plugins/g15_plugin_uinput.c
Patch3:			g15daemon-uinput.patch

#Backported fix for libg15daemon_net.c from Rev 463:
#This fixes a buffer overflow when running g15macro
#https://g15daemon.svn.sourceforge.net/svnroot/g15daemon/trunk/g15daemon-wip/libg15daemon_client/g15daemon_net.c
Patch4:			g15daemon_net-fix.patch

BuildRequires:	libg15-devel
BuildRequires:	libg15render-devel

%description
G15daemon  takes control of the G15 keyboard, allowing the use of
all keys through the Linux kernel uinput device driver.  It also
controls  the use of the keyboard's LCD display, allows multiple,
simultaneous client applications to connect, and gives the user
the ability to switch between client apps at the press of a 
button.

%package devel
Summary:		Development files for g15daemon
Requires:		%{name} = %{version}
Group:			Development/Libraries

%description devel
This package contains development files for programs
that use %{name}

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1
%patch4 -p0

%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%files
%doc AUTHORS ChangeLog COPYING FAQ LICENSE NEWS README README.Linux
%exclude %{_libdir}/%{name}/%{version}/plugins/g15plugin*.la
%{_libdir}/%{name}/%{version}/plugins/g15plugin*.so
%{_sbindir}/%{name}
%{_datarootdir}/%{name}/splash/g15logo2.wbmp
%{_mandir}/man1/%{name}.1*

%files devel
%{_includedir}/*
%exclude %{_libdir}/*.la
%{_libdir}/libg15daemon_client.so*
%{_mandir}/man3/g15daemon_client_devel.3*

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel -p /sbin/ldconfig
%postun devel -p /sbin/ldconfig

%changelog
* Tue Feb 07 2012 Thomas Pifer <zero456@gmail.com> - 1.9.5.3-1
- Initial package.
